Name: H5Sget_simple_extent_type
Signature:
  H5S_class_t `H5Sget_simple_extent_type`(hid_t `space_id`)
Purpose:
  Determine the current class of a dataspace.
Description:
  `H5Sget_simple_extent_type` queries a dataspace to determine the current class of a dataspace.

  The function returns a class name, one of the following: `H5S_SCALAR`, `H5S_SIMPLE`, or `H5S_NONE`.

Parameters:

hid_t `space_id` | Dataspace identifier.

Returns:
  Returns a dataspace class name if successful; otherwise H5S_NO_CLASS (-1).
Fortran90 Interface: h5sget_simple_extent_type_f

      SUBROUTINE h5sget_simple_extent_type_f(space_id, classtype, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: space_id ! Dataspace identifier
        INTEGER, INTENT(OUT) :: classtype      ! Class type
                                               ! Possible values are:
                                               !    H5S_NO_CLASS_F
                                               !    H5S_SCALAR_F
                                               !    H5S_SIMPLE_F
        INTEGER, INTENT(OUT) :: hdferr         ! Error code
                                               ! 0 on success and -1 on failure
      END SUBROUTINE h5sget_simple_extent_type_f